View Single Post
  #2  
Old 28.08.2018, 11:47
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 66,134
Default

Java doesn't yet (fully/at all) support Wayland. So you've got to install XServer/X11/Xwayland.
What java version are you using? java -version
Might require a different java version. I've found some bugtracker that wayland support is in progress but I can't test it myself (still on XServer).

stackoverflow.com/questions/39197208/java-gui-support-on-wayland
github.com/swaywm/sway/wiki/Running-programs-natively-under-wayland
__________________
JD-Dev & Server-Admin
Reply With Quote